Issue 85385 - svtools: a11y: crash in accept/reject changes
Summary: svtools: a11y: crash in accept/reject changes
Status: CLOSED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: code (show other issues)
Version: 680m242
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: pb
QA Contact: Unknown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-19 13:19 UTC by caolanm
Modified: 2008-03-07 10:28 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch to fix (610 bytes, patch)
2008-01-19 13:19 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2008-01-19 13:19:10 UTC
I have a document here, which sadly I cannot share, with loads of changes in it.
With a11y enabled in accept/reject changes OOo crash when the dialog appears.

The patch to fix is attached for the following backtrace shown:

#0  SvHeaderTabListBox::FillAccessibleStateSetForCell (this=0x199aa20, 
    _rStateSet=@0x1a19030, _nRow=313, _nColumn=0)
    at /usr/src/redhat/BUILD/OOH680_m1/svtools/source/contnr/svtabbx.cxx:1225
#1  0x00002aaabe6f90d0 in
accessibility::AccessibleBrowseBoxTableCell::implCreateStateSetHelper
(this=0x1aa1120)
    at
/usr/src/redhat/BUILD/OOH680_m1/accessibility/source/extended/AccessibleBrowseBoxTableCell.cxx:216
#2  0x00002aaabe6f4ddd in
accessibility::AccessibleBrowseBoxBase::getAccessibleStateSet (this=0x1aa1120)
    at
/usr/src/redhat/BUILD/OOH680_m1/accessibility/source/extended/AccessibleBrowseBoxBase.cxx:236
#3  0x00002aaab2f2d3fd in DocumentFocusListener::attachRecursive (
    this=0x10e31c0, xAccessible=@0x7fff1d5c1d30, xContext=@0x0)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/a11y/atkutil.cxx:295
#4  0x00002aaab2f2d4ae in DocumentFocusListener::attachRecursive (
    this=0x10e31c0, xAccessible=@0x7fff1d5c1d30)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/a11y/atkutil.cxx:284
#5  0x00002aaab2f2cdb2 in DocumentFocusListener::attachRecursive (
    this=0x10e31c0, xAccessible=<value optimized out>,
    xContext=@0x7fff1d5c1df0, xStateSet=@0x7fff1d5c1db0)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/a11y/atkutil.cxx:328
#6  0x00002aaab2f2d431 in DocumentFocusListener::attachRecursive (
    this=0x10e31c0, xAccessible=@0x7fff1d5c1e30, xContext=@0x7fff1d5c1df0)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/a11y/atkutil.cxx:298
#7  0x00002aaab2f2d4ae in DocumentFocusListener::attachRecursive (
    this=0x10e31c0, xAccessible=@0x7fff1d5c1e30)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/a11y/atkutil.cxx:284
#8  0x00002aaab2f2cdb2 in DocumentFocusListener::attachRecursive (
    this=0x10e31c0, xAccessible=<value optimized out>,
    xContext=@0x7fff1d5c1ee0, xStateSet=@0x7fff1d5c1ed0)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/a11y/atkutil.cxx:328
#9  0x00002aaab2f2d0bd in handle_get_focus (pEvent=<value optimized out>)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/a11y/atkutil.cxx:517
#10 0x00002aaab2f2d1d6 in WindowEventHandler (pEvent=0x0)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/a11y/atkutil.cxx:573
#11 0x00002aaaaab867a5 in VclEventListeners::Call (this=0x669e20, 
    pEvent=0x7fff1d5c1ff0)
    at
/usr/src/redhat/BUILD/OOH680_m1/solver/680/unxlngx6.pro/inc/tools/link.hxx:158
#12 0x00002aaaaad48ac5 in Window::CallEventListeners (this=0x199aa20, 
    nEvent=<value optimized out>, pData=<value optimized out>)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/source/window/window.cxx:5374
#13 0x00002aaaaad497fa in Window::PreNotify (this=0x199aa20, 
    rNEvt=@0x7fff1d5c2070)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/source/window/window.cxx:5174
#14 0x00002aaaaad4c174 in Window::ImplGrabFocus (this=0x199aa20, nFlags=0)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/source/window/window.cxx:4232
#15 0x00002aaaaad5840c in Window::ImplAsyncFocusHdl (this=0x1975510)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/source/window/winproc.cxx:1799
#16 0x00002aaaaad5bab8 in ImplWindowFrameProc (pWindow=0xb806e0, 
    nEvent=<value optimized out>, pEvent=0x19b77c0)
    at
/usr/src/redhat/BUILD/OOH680_m1/solver/680/unxlngx6.pro/inc/tools/link.hxx:158
#17 0x00002aaab35ef20f in SalDisplay::DispatchInternalEvent (this=0x6d14d0)
    at ../../../inc/vcl/salframe.hxx:304
#18 0x00002aaab2f1d739 in GtkXLib::userEventFn (data=<value optimized out>)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/app/gtkdata.cxx:715
#19 0x0000003e72c35113 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#20 0x0000003e72c38425 in ?? () from /lib64/libglib-2.0.so.0
#21 0x0000003e72c3895b in g_main_context_iteration ()
   from /lib64/libglib-2.0.so.0
#22 0x00002aaab2f1f1c9 in GtkXLib::Yield (this=0x6601d0, bWait=true, 
    bHandleAllCurrentEvents=<value optimized out>)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/unx/gtk/app/gtkdata.cxx:770
#23 0x00002aaaaab7e15e in Application::Yield (bAllEvents=false)
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/source/app/svapp.cxx:557
#24 0x00002aaaaab7e237 in Application::Execute ()
    at /usr/src/redhat/BUILD/OOH680_m1/vcl/source/app/svapp.cxx:516
Comment 1 caolanm 2008-01-19 13:19:35 UTC
Created attachment 50996 [details]
patch to fix
Comment 2 carsten.driesner 2008-01-21 08:48:07 UTC
cd->pb: Please have a look.
Comment 3 pb 2008-01-21 10:59:24 UTC
pb: accepted for 3.0.
Comment 4 pb 2008-01-21 14:34:20 UTC
pb: patch integrated in cws fwk81.
Files changed:
/svtools/source/contnr/svtabbx.cxx 1.27.194.1
Comment 5 pb 2008-02-15 09:10:07 UTC
pb -> mav: please review my changes. This cannot be verified by QA.
Comment 6 mikhail.voytenko 2008-02-20 11:22:47 UTC
Verified.
Comment 7 caolanm 2008-03-07 10:28:28 UTC
seen in DEV300_m1